<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:hdoc="urn:utc.fr:ics:hdoc:container"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
    version="2.0">
	<xsl:param name="destfile" required="yes" as="xs:string"/>
	
	 <xsl:output method="xml" indent="yes"/>
	
    <xsl:template match="hdoc:container">
		
		
		<project name="MyProject" default="zip">

		<target name="zip">
		
		
		<xslt in="hdocUnzipped/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="odtUnzipped/content.xml" style="styles/hdoc_to_odt_content.xsl"/>
	
		<zip destfile="{$destfile}.odt" compress="false">
             <fileset dir="odtUnzipped">
                    <include name="**/**"/>
             </fileset>
       </zip>  
	   
		
	</target>
	
	
	</project>	
	
		
	</xsl:template>

	
		
		
</xsl:stylesheet>
