<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:xs="http://www.w3.org/2001/XMLSchema"
 xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
 xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
 xmlns:dk="kelis.fr:dokiel"
 exclude-result-prefixes="xs"
 version="2.0">
 <xsl:output method="xml"/>
 
 <!-- copie à l'identique tous les noeuds et attributs-->
 <xsl:template match="node()|@*">
  <xsl:copy>
   <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
 </xsl:template>
 
 <!-- inclusion de tous les fichiers fils-->
 <xsl:template match="*[@sc:refUri]">
  <!-- <xsl:copy-of select="document(.)"></xsl:copy-of>-->
  <xsl:apply-templates select="document(./@sc:refUri)/sc:item/*"/>
 </xsl:template>
 
<!-- exclusion des images-->
 <xsl:template match="sp:logo[@sc:refUri]">
   
 </xsl:template>
</xsl:stylesheet>

