<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0"
    xmlns:h="urn:utc.fr:ics:hdoc:container"
    xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:param name="destfile" required="yes" as="xs:string"/>
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="h:container">
        <project name="Convertisseur" default="main">
            <target name="main">
                <xsl:apply-templates/>
                <zip destfile="{$destfile}" basedir="result"/>
            </target>
        </project>
    </xsl:template>
    
    <xsl:template match="h:rootfiles">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="h:rootfile">
        <xsl:variable name="path" select="./@full-path"/>
        <xslt in="hdoc/{$path}" out="result/content/content.paper" style="transfo.xsl"/>
    </xsl:template>
</xsl:stylesheet>
